﻿
using System;
using System.Collections.ObjectModel;
using System.Windows.Media;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace AppointmentColorBasedOnResource
{
	public class ViewModel
	{
		public ObservableCollection<Appointment> Appointments { get; set; }

		public ViewModel()
		{
			var app = new Appointment()
			{
				Start = DateTime.Now,
				End = DateTime.Now.AddHours(1),
				Subject = "Test Appointment"
			};

			app.Resources.Add(new CustomResource("Room1", "Room") { ResourceColor = Brushes.Red});
            app.Resources.Add(new CustomResource("Room2", "Room"){ ResourceColor = Brushes.Yellow});

			this.Appointments = new ObservableCollection<Appointment>() { app };

		}
	}
}
